Subject: bug#37545: closed (Re: bug#37545: epiphany and next broken after webkitgtk upgrade to 2.26.1)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Oct 2019 06:32:02 +0000

Your bug report

#37545: epiphany and next broken after webkitgtk upgrade to 2.26.1

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37545: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37545
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37545: epiphany and next broken after webkitgtk upgrade to 2.26.1
From: Vagrant Cascadian <[email-masked]>
To: Marius Bakke <[email-masked]>, Ludovic Courtès<[email-masked]>
Cc: [email-masked]
Date: Mon, 07 Oct 2019 23:30:52 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2019-10-06, Marius Bakke wrote:
> Vagrant Cascadian <[email-masked]> writes:
>> It breaks running under wayland, and unsetting WAYLAND_DISPLAY it works
>> fine:
>>
>>   WAYLAND_DISPLAY= epiphany
>>
>> Or switching to an x11 session rather than wayland also worked fine.
>>
>> Does it work for other people under wayland, or just x11?
>>
>> More specifically, I'm running a "sway (wayland)" session from sddm as
>> the login manager.
>
> I believe this is fixed by 1714edc3d4e8d6da1b0cdef300ae882d0885f182.
> Can you confirm?

After that commit it's been working again, thanks!

live well,
  vagrant

Subject: epiphany and next broken after webkitgtk upgrade to 2.26.1
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Cc: Marius Bakke <[email-masked]>
Date: Sat, 28 Sep 2019 14:51:52 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Both next and epiphany are very broken for me after the upgrade to
webkitgtk to 2.26.1.

I first noticed when running core-updates, but then also tested on
master (de3896fb79984d545e7fec0b5e4f1ba37983fbce) with the same result.

$ guix describe
Generation 240  Sep 27 2019 20:47:30    (current)
  guix 60643d1
    repository URL: file:///home/vagrant/src/guix
    commit: 60643d1b1930c54789c8262ae68457fe0c85fae0
$ guix package -I epiphany
epiphany        3.30.4  out
/gnu/store/vc6caa4n1jkqkvzjg03d9j5m93k8g6g0-epiphany-3.30.4
$ epiphany

** (epiphany:16759): WARNING **: 21:18:10.796:
   webkit_web_context_set_web_process_count_limit is deprecated and d
wpe_loader_init could not load the library 'libWPEBackend-fdo-1.0.so':
   libWPEBackend-fdo-1.0.so: cannot open shar
wpe: could not load the impl library. Is there any backend installed?:
   libWPEBackend-default.so: cannot open shar
Aborted

I don't have a capture of the "next" browser output handy, but it wasn't
working either.

I also tried building without grafts, just in case, but no difference.

Reverting the following commit causes both browsers to work again.

commit 689b44bc3fe50de86c8c8b8c2ac503b2e82d7975
Author: Marius Bakke <[email-masked]>
Date:   Thu Sep 26 16:40:45 2019 +0200

    gnu: WebKitGTK: Update to 2.26.1.

    * gnu/packages/webkit.scm (webkitgtk-2.24): Rename to ...
    (webkitgtk-2.26): ... this.  Update to 2.26.1.
    [inputs]: Add BUBBLEWRAP, LIBSECCOMP, LIBWPE, WPEBACKEND-FDO, and
    XDG-DBUS-PROXY.
    * gnu/packages/gnome.scm (eolie, epiphany)[inputs]: Adjust for
    changed
    variable name.
    * gnu/packages/web-browsers.scm (next-gtk-webkit)[inputs]: Likewise.

Maybe libwpe and/or wpebackend-fdo aren't added in (all) the correct
place(s)?

live well,
  vagrant